import pyglet

class Hud:
    def __init__(self, batch, x: int, y: int, critter_icon, game_state):
        self.font_size=20
        self.x_adjust = 40
        self.y_adjust = -32

        self.hud_icon = pyglet.sprite.Sprite(critter_icon, x=x, y=y, batch=batch)
        self.hud_icon.scale = 0.5

        self.critter_count = pyglet.text.Label(
            text=f"Critters saved: {game_state.critters_saved}",
            font_size=self.font_size,
            bold=True,
            color=(0, 158, 96, 255),
            x=x + self.x_adjust,
            y=y - self.y_adjust,
            anchor_x='left',
            anchor_y='top',
            batch=batch
        )

        self.critter_loss_count = pyglet.text.Label(
            text=f"Critters lost: {game_state.critters_killed}",
            font_size=self.font_size,
            bold=True,
            color=(222, 23, 56, 255),
            x=x + self.x_adjust,
            y=y - self.font_size * 1.5 - self.y_adjust,
            anchor_x='left',
            anchor_y='top',
            batch=batch
        )

        self.critters_left = pyglet.text.Label(
            text=f"Critters left: {100 - game_state.critters_saved - game_state.critters_killed}",
            font_size=self.font_size,
            bold=True,
            color=(255, 255, 159, 255),
            x=x + self.x_adjust,
            y=y - self.font_size * 1.5,
            anchor_x='left',
            anchor_y='top',
            batch=batch
        )
    
    def update(self, game_state):
        self.critter_count.text = f"Critters saved: {game_state.critters_saved}"
        self.critter_loss_count.text = f"Critters lost: {game_state.critters_killed}"
        self.critters_left.text = f"Critters left: {100 - game_state.critters_saved - game_state.critters_killed}"
