
import pyglet
import random
import math

class Particle(pyglet.sprite.Sprite):
    def __init__(self, img, x: int, y: int, WINDOW_WIDTH: int, WINDOW_HEIGHT: int, player):
        super().__init__(img, x, y)
        self.WINDOW_WIDTH = WINDOW_WIDTH
        self.WINDOW_HEIGHT = WINDOW_HEIGHT
        self.scale = 20.0
        self.player = player

    def on_animation_end(self):
        _x = None
        _y = None

        while _x is None or (_x - self.player.x) * (_x - self.player.x) + (_y - self.player.y) * (_y - self.player.y) < 100000:
            _x=-self.WINDOW_WIDTH*0.75 + self.WINDOW_WIDTH * random.random() * 1.5 + self.player.x
            _y=-self.WINDOW_HEIGHT*0.75 + self.WINDOW_HEIGHT * random.random() * 1.5 + self.player.y

        self.update(x=_x, y=_y)
        self.frame_index = 0
        self.paused = False
        self.visible = True
