import pyglet
from pyglet import resource

resource.path.append('game/resources')
resource.reindex()

def _centre_anchor(img):
  img.anchor_x = img.width // 2
  img.anchor_y = img.height // 2
  return img

# --------------------------------------------------------------------------
# Load resources
# --------------------------------------------------------------------------
TWIN_IMG = resource.image("twin.png")
_centre_anchor(TWIN_IMG)

EVIL_TWIN_IMG = resource.image("evil_twin.png")
_centre_anchor(EVIL_TWIN_IMG)

CRITTER_IMG = resource.image("critter.png")
_centre_anchor(CRITTER_IMG)

CRITTER_SPRITE_SHEET = resource.image("chicken_sprite.png")
critter_img_grid = pyglet.image.ImageGrid(CRITTER_SPRITE_SHEET, rows=4, columns=3, item_height=32, item_width=32)
CRITTER_IMGS = critter_img_grid.get_texture_sequence()
for img in CRITTER_IMGS:
  _centre_anchor(img)
CRITTER_ANIMATION = pyglet.image.Animation.from_image_sequence(CRITTER_IMGS, duration=0.3)

BACKGROUND_IMG = resource.image("grass.jpg")

explosion_images = resource.image('explosion.png')
explosion_images = pyglet.image.ImageGrid(explosion_images, 2, 8)
EXPLOSION_IMGS = explosion_images.get_texture_sequence()

EXPLOSION_ANIMATION_PERIOD = 0.1

for explosion_image in EXPLOSION_IMGS:
  explosion_image.anchor_x = explosion_image.width // 2
  explosion_image.anchor_y = explosion_image.height // 2

EXPLOSION_ANIMATION = pyglet.image.Animation.from_image_sequence(
  EXPLOSION_IMGS,
  EXPLOSION_ANIMATION_PERIOD,
  loop=True
)

HUD_CHICKEN = resource.image("chicken_img.png")
_centre_anchor(HUD_CHICKEN)

# --------------------------------------------------------------------------
# Load Maps
# --------------------------------------------------------------------------

MAP_FILE = "game/resources/maps/test_map.tmx"
